package config

import (
	"fmt"
	jsoniter "github.com/json-iterator/go"
	"testing"
)

func TestIsSuperRole(t *testing.T) {
	s := "INSERT INTO `dashboard_admin`.`admin_permission` (`id`, `name`, `apis`) VALUES "
	for id, apis := range permissions {
		api, _ := jsoniter.MarshalToString(apis)
		s += fmt.Sprintf("\n(%d, '%s', '%s'),", id, AuthNameMap[id], api)
	}
	fmt.Println(s)
}
